<?php
	$time_slot = get_office_timing();
?>
<ul class="edit-address">
    <li class="row">
        <?php wphr_html_form_input( array(
            'label'    => __( 'Location Name', 'wphr' ),
            'name'     => 'location_name',
            'value'    => '{{ data.name }}',
            'required' => true
        ) ); ?>
    </li>

    <li class="row">
        <?php wphr_html_form_input( array(
            'label'    => __( 'Address Line 1', 'wphr' ),
            'name'     => 'address_1',
            'value'    => '{{{ data.address_1 }}}',
            'required' => true
        ) ); ?>
    </li>

    <li class="row">
        <?php wphr_html_form_input( array(
            'label'    => __( 'Address Line 2', 'wphr' ),
            'name'     => 'address_2',
            'value'    => '{{ data.address_2 }}',
        ) ); ?>
    </li>

    <li class="row">
        <?php wphr_html_form_input( array(
            'label'    => __( 'City', 'wphr' ),
            'name'     => 'city',
            'value'    => '{{ data.city }}',
        ) ); ?>
    </li>

    <li class="row" data-selected="{{ data.country }}">
        <label for="wphr-popup-country"><?php _e( 'Country', 'wphr' ); ?> <span class="required">*</span></label>
        <select name="country" id="wphr-popup-country" class="wphr-country-select select2" data-parent="ul">
            <?php $country = \WPHR\HR_MANAGER\Countries::instance(); ?>
            <?php echo $country->country_dropdown(); ?>
        </select>
    </li>

    <li class="row" data-selected="{{ data.state }}">
        <?php wphr_html_form_input( array(
            'label'   => __( 'Province / State', 'wphr' ),
            'name'    => 'state',
            'id'      => 'wphr-state',
            'type'    => 'select',
            'class'   => 'wphr-state-select',
            'options' => array( 0 => __( '- Select -', 'wphr' ) )
        ) ); ?>
    </li>

    <li class="row">
        <?php wphr_html_form_input( array(
            'label'     => __( 'Postal / Zip Code', 'wphr' ),
            'name'      => 'zip',
            'type'      => 'text',
            'value'     => '{{ data.zip }}',
        ) ); ?>
    </li>
	
	<li class="row" data-selected="{{ data.office_start_time }}">
	<?php wphr_html_form_input( array(
                            'label'    => __( 'Office start time', 'wphr' ),
                            'name'     => 'office_start_time',
                            'id'       => 'office_start_time',
							'class'    => 'wphr-office-timing',
							'type'     => 'select',
							'required' => true,
							'options'  => array( '' => __( '- Select -', 'wphr' ) ) + $time_slot
                        ) ); ?>
	</li>
	
	<li class="row" data-selected="{{ data.office_end_time }}">
	<?php wphr_html_form_input( array(
                            'label'    => __( 'Office end time', 'wphr' ),
                            'name'     => 'office_end_time',
                            'id'       => 'office_end_time',
							'class'    => 'wphr-office-timing',
							'type'     => 'select',
							'required' => true,
							'options'  => array( '' => __( '- Select -', 'wphr' ) ) + $time_slot
                        ) ); ?>
	</li>

    <li class="row">
        <?php wphr_html_form_input( array(
            'label'     => __( 'Office working hours', 'wphr' ),
            'name'      => 'office_working_hours',
            'type'      => 'text',
            'value'     => '{{ data.office_working_hours }}',
            'required' => true
        ) ); ?>
    </li>
						
    <input type="hidden" name="location_id" value="{{ data.id }}">
    <input type="hidden" name="company_id" value="{{ data.company_id }}">
    <input type="hidden" name="action" value="wphr-company-location">
    <?php wp_nonce_field( 'wphr-company-location' ); ?>
</ul>
